<style>
    [type="radio"]:checked,
    [type="radio"]:not(:checked) {
        position: absolute;
        left: -9999px;
    }

        [type="radio"]:checked + label,
        [type="radio"]:not(:checked) + label {
            position: relative;
            padding-left: 28px;
            cursor: pointer;
            line-height: 20px;
            display: inline-block;
            color: #666;
        }

            [type="radio"]:checked + label:before,
            [type="radio"]:not(:checked) + label:before {
                content: '';
                position: absolute;
                left: 0;
                top: 0;
                width: 18px;
                height: 18px;
                border: 1px solid #ddd;
                border-radius: 100%;
                background: #fff;
            }

            [type="radio"]:checked + label:after,
            [type="radio"]:not(:checked) + label:after {
                content: '';
                width: 12px;
                height: 12px;
                background: #F87DA9;
                position: absolute;
                top: 3px;
                left: 3px;
                border-radius: 100%;
                -webkit-transition: all 0.2s ease;
                transition: all 0.2s ease;
            }

            [type="radio"]:not(:checked) + label:after {
                opacity: 0;
                -webkit-transform: scale(0);
                transform: scale(0);
            }

            [type="radio"]:checked + label:after {
                opacity: 1;
                -webkit-transform: scale(1);
                transform: scale(1);
            }
</style>
<div class="breadcrumb-container">
    <ol class="breadcrumb">
        <li><a data-ui-sref="/dashboard">{{"COMMON.HOME" | translate}}</a></li>
        <li><a data-ui-sref="EventList">Event</a></li>
        <li class="active">{{vm.isNewRecord?'New Event':'Update '+vm.record.name}}</li>
    </ol>
</div>
<div class="panel panel-primary edit-page-form">
    <div class="panel-heading">
        <h3 class="panel-title">Event {{vm.isNewRecord?'New':'Edit'}}</h3>
    </div>
    <div class="panel-body">
        <form name="recordForm" novalidate="novalidate">
            <h3 class="form-sub-title">{{"EDIT.BASIC_INFO" | translate}}</h3>
            <hr class="margin-bottom-40">
            <div class="row" data-ng-if="vm.authRepository.isAccessible('EventEditFields')" data-ng-disabled="vm.authRepository.isDisabled('EventEditFields')">
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.Title.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            {{"Event.title" | translate}}
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" maxlength="35" min="0" type="text" name="Title" required="required" data-ng-model="vm.record.title">
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.EventbriteLink.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            Eventbrite Link
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" type="url" name="EventbriteLink" required="required" data-ng-model="vm.record.eventbriteLink">
                            <span class="error" data-ng-if="recordForm.EventbriteLink.$error.url"> Invalid Url</span>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="form-group row">
                        <label class="control-label col-md-3">
                            {{"Event.startDate" | translate}}
                        </label>
                        <div class="col-md-9">
                            <input class="form-control StartDate" data-ng-init="vm.initializingDatePicker('.StartDate')" name="StartDate" type="text" placeholder="Select StartDate Date" required="required" data-ng-model="vm.record.startDate">
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group row">
                        <label class="control-label col-md-3">
                            {{"Event.endDate" | translate}}
                        </label>
                        <div class="col-md-9">
                            <input class="form-control EndDate" data-ng-init="vm.initializingDatePicker('.EndDate')" name="EndDate" type="text" placeholder="Select EndDate Date" required="required" data-ng-model="vm.record.endDate">
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.EventTime.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            Event Time
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" name="EventTime" type="text" placeholder="Select Event Time" required="required" data-ng-model="vm.record.eventTime">
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.Address.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            Address
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" name="Address" type="text" placeholder="Select Address" required="required" data-ng-model="vm.record.address">
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="form-group row">
                        <label class="control-label col-md-3">
                            {{"Event.description" | translate}}
                        </label>
                        <div class="col-md-9">
                            <textarea class="form-control" rows="10" name="Description" data-ng-model="vm.record.description"></textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <label class="control-label no-padding col-md-3">
                        Select Type
                    </label>
                    <div class="col-md-9 d-flex">
                        <div class="no-margin">
                            <input type="radio" id="image" value="image" data-ng-model="vm.mediaType" name="mediaType" data-ng-click="vm.getMediaType(vm.mediaType)">
                            <label for="image">Image</label>
                        </div>
                        <div class="margin-left-10">
                            <input type="radio" id="video" value="video" data-ng-model="vm.mediaType" name="mediaType" data-ng-click="vm.getMediaType(vm.mediaType)">
                            <label for="video">Video</label>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-md-6">
                    <div class="form-group row" data-ng-class="{'has-error':recordForm.IsActive.$error.required && vm.onClickValidation}">
                        <label class="control-label col-md-3">
                            Is Active
                        </label>
                        <div class="col-md-9">
                            <div class="material-switch">
                                <input id="someSwitchisactive" name="someSwitchOptionisactive" type="checkbox" data-ng-model="vm.record.isActive" />
                                <label for="someSwitchisactive" class="label-primary"></label>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- file upload-->
                <div class="col-md-6 form-group" data-ng-if="vm.type == 'image'">
                    <label class="control-label col-md-3">
                        Featured Image
                    </label>
                    <div class="col-md-9">
                        <div class="col-sm-5 col-xs-12" data-ng-if="!vm.record.file.path">
                            <a class="upload-doc-box" data-ng-click="vm.uploadFile(record)">
                                <span class="fa fa-upload"></span>
                            </a>
                            <input class="form-control hide" id="fileUpload" type="file" nv-file-select="" uploader="vm.file_uploader" accept="image/gif, image/jpeg, image/png, image/jpg" />
                        </div>
                        <div data-ng-if="vm.record.file.path" class="form-group col-sm-7 col-xs-12">
                            <img class="img-responsive custom-image-zoom-over" ng-src={{vm.record.file.path}} />
                            <i class="upload-doc-delete fa fa-close cross-position" data-ng-click="vm.removeEventImage(vm.record.file.path, vm.record.file.id)"></i>
                        </div>
                    </div>
                </div>
                <!-- file upload-->
                <!-- Video link-->
                <div class="col-md-6" data-ng-if="vm.type == 'video'">
                    <div class="form-group">
                        <label class="control-label col-md-3">
                            Video Link
                        </label>
                        <div class="col-md-9">
                            <input class="form-control" type="url" name="videoLink" data-ng-model="vm.record.videoPath">
                            <span class="error" data-ng-if="recordForm.videoLink.$error.url"> Invalid Url</span>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="panel-footer text-right">
        <button title="Save" class="btn btn-primary site-button" type="button" data-ng-click="vm.save(recordForm.$valid)">
            {{"COMMON.SAVE" | translate}}
        </button>
        <a title="Cancel" class="btn btn-default site-cancel-button" type="button" data-ng-if="vm.authRepository.isAccessible('EventCancelButton')" data-ng-disabled="vm.authRepository.isDisabled('EventCancelButton')" data-ui-sref="EventList">
            {{"COMMON.CANCEL" | translate}}
        </a>
    </div>
</div>